> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 커뮤니티 조회

> ID로 커뮤니티 상세 정보를 조회합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Communities 조회 엔드포인트를 사용하면 ID를 통해 X 커뮤니티에 대한 정보를 조회할 수 있습니다.

<div id="overview">
  ## 개요
</div>

커뮤니티는 X에서 멤버들이 포스트를 공유하고, 주제를 토론하며, 공통 관심사를 중심으로 교류할 수 있는 공개 또는 비공개 그룹입니다.

<CardGroup cols={2}>
  <Card title="ID로 조회" icon="users-rectangle">
    특정 커뮤니티의 세부 정보를 조회합니다
  </Card>

  <Card title="검색" icon="magnifying-glass">
    키워드로 커뮤니티를 검색합니다
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## 엔드포인트
</div>

| 메서드 | 엔드포인트                                                             | 설명            |
| :-- | :---------------------------------------------------------------- | :------------ |
| GET | [`/2/communities/:id`](/ko/x-api/communities/get-community-by-id) | ID로 커뮤니티 가져오기 |

***

<div id="response-fields">
  ## 응답 필드
</div>

| Field          | Description    |
| :------------- | :------------- |
| `id`           | 커뮤니티 ID        |
| `name`         | 커뮤니티 이름        |
| `description`  | 커뮤니티 설명        |
| `created_at`   | 생성 일자          |
| `member_count` | 구성원 수          |
| `is_private`   | 커뮤니티가 비공개인지 여부 |

***

<div id="example-request">
  ## 요청 예시
</div>

```bash theme={null}
curl "https://api.x.com/2/communities/1234567890?\
community.fields=name,description,member_count,created_at" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [keys and tokens](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="커뮤니티 검색" icon="magnifying-glass" href="/ko/x-api/communities/search/introduction">
    키워드로 커뮤니티 찾기
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/communities/community-lookup">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
